PlayerCc::AudioProxy Class Reference
Proxies

The `AudioProxy` class controls an audio device. More...

`#include <playerc++.h>`

Inheritance diagram for PlayerCc::AudioProxy:

## Public Member Functions

| AudioProxy (PlayerClient *aPc, uint32_t aIndex=0)
uint32_t | GetMixerDetailsCount () const
| Get Mixer Details Count.
player_audio_mixer_channel_detail_t | GetMixerDetails (int aIndex) const
| Get Mixer Detail.
uint32_t | GetDefaultOutputChannel () const
| Get Default output Channel.
uint32_t | GetDefaultInputChannel () const
| Get Default input Channel.
uint32_t | GetWavDataLength () const
| Get Wav data length.
void | GetWavData (uint8_t *aData) const
| Get Wav data This function copies the wav data into the buffer aImage. More...
uint32_t | GetSeqCount () const
| Get Seq data count.
player_audio_seq_item_t | GetSeqItem (int aIndex) const
| Get Sequence item.
uint32_t | GetChannelCount () const
| Get Channel data count.
player_audio_mixer_channel_t | GetChannel (int aIndex) const
| Get Sequence item.
uint32_t | GetState (void) const
| Get driver state.
void | PlayWav (uint32_t aDataCount, uint8_t *aData, uint32_t aFormat)
| Command to play an audio block.
void | SetWavStremRec (bool aState)
| Command to set recording state.
void | PlaySample (int aIndex)
| Command to play prestored sample.
void | PlaySeq (player_audio_seq_t *aTones)
| Command to play sequence of tones.
void | SetMultMixerLevels (player_audio_mixer_channel_list_t *aLevels)
| Command to set multiple mixer levels.
void | SetMixerLevel (uint32_t index, float amplitude, uint8_t active)
| Command to set a single mixer level.
void | RecordWav ()
| Request to record a single audio block result is stored in wav_data.
void | LoadSample (int aIndex, uint32_t aDataCount, uint8_t *aData, uint32_t aFormat)
| Request to load an audio sample.
void | GetSample (int aIndex)
| Request to retrieve an audio sample Data is stored in wav_data.
void | RecordSample (int aIndex, uint32_t aLength)
| Request to record new sample.
void | GetMixerLevels ()
| Request mixer channel data result is stored in mixer_data.
void | GetMixerDetails ()
| Request mixer channel details list result is stored in channel_details_list.
Public Member Functions inherited from PlayerCc::ClientProxy
bool | IsValid () const
| Returns true if we have received any data from the device.
bool | IsFresh () const
| Fresh is set to true on each new read. More...
void | NotFresh ()
| This states that the data in a client is currently not Fresh.
std::string | GetDriverName () const
| Returns the driver name. More...
double | GetDataTime () const
| Returns the received timestamp [s].
double | GetElapsedTime () const
| Returns the received timestamp [s].
PlayerClient * | GetPlayerClient () const
| Returns a pointer to the Player Client.
uint32_t | GetIndex () const
| Returns device index.
uint32_t | GetInterface () const
| Returns device interface.
std::string | GetInterfaceStr () const
| Returns device interface.
void | SetReplaceRule (bool aReplace, int aType=-1, int aSubtype=-1)
| Set a replace rule for this proxy on the server. More...
int | HasCapability (uint32_t aType, uint32_t aSubtype)
| Request capabilities of device. More...
int | GetBoolProp (char *aProperty, bool *aValue)
| Request a boolean property.
int | SetBoolProp (char *aProperty, bool aValue)
| Set a boolean property.
int | GetIntProp (char *aProperty, int32_t *aValue)
| Request an integer property.
int | SetIntProp (char *aProperty, int32_t aValue)
| Set an integer property.
int | GetDblProp (char *aProperty, double *aValue)
| Request a double property.
int | SetDblProp (char *aProperty, double aValue)
| Set a double property.
int | GetStrProp (char *aProperty, char **aValue)
| Request a string property.
int | SetStrProp (char *aProperty, char *aValue)
| Set a string property.
template<typename T >
connection_t | ConnectReadSignal (T aSubscriber)
| Connect a signal to this proxy For more information check out Signals & multithreading.
void | DisconnectReadSignal (connection_t aSubscriber)
| Disconnect a signal to this proxy.

## Private Member Functions

void | Subscribe (uint32_t aIndex)
void | Unsubscribe ()

## Private Attributes

playerc_audio_t * | mDevice

## Additional Inherited Members

Public Types inherited from PlayerCc::ClientProxy
typedef int | connection_t
typedef boost::mutex::scoped_lock | scoped_lock_t
typedef int | read_signal_t
Protected Member Functions inherited from PlayerCc::ClientProxy
| ClientProxy (PlayerClient *aPc, uint32_t aIndex)
template<typename T >
T | GetVar (const T &aV) const
template<typename T >
void | GetVarByRef (const T aBegin, const T aEnd, T aDest) const
Protected Attributes inherited from PlayerCc::ClientProxy
PlayerClient * | mPc
playerc_client_t * | mClient
playerc_device_t * | mInfo
bool | mFresh

## Detailed Description

The `AudioProxy` class controls an audio device.

## Member Function Documentation

void PlayerCc::AudioProxy::GetWavData | ( | uint8_t * | aData | ) | const

inline

Get Wav data This function copies the wav data into the buffer aImage.

The buffer should be allocated according to the length of the wav data The size can be found by calling GetWavDataLength().

The documentation for this class was generated from the following file:

- playerc++.h

Last updated 12 September 2005 21:38:45